<% include ../partials/header %>

    <div class="row">
        <div class="col-md-3">
            <p class="lead">YelpCamp</p>
            <div class="list-group">
                <li class="list-group-item active">Info 1</li>
                <li class="list-group-item">Info 2</li>
                <li class="list-group-item">Info 3</li>
            </div>
        </div>
        <div class="col-md-9">
            <div class="thumbnail">
                <img class="img-responsive" src="<%= campground.image %>" alt="">
                <div class="caption-full">
                    <h4 class="pull-right">$<%= campground.price %>/night</h4>
                    <h4><a href=""><%= campground.name %></a></h4>
                    <p><%= campground.description %></p>
                    <p>
                        <em>Submitted By <%= campground.author.username %>, <%= moment(campground.createdAt).fromNow() %></em>
                    </p>
                    <% if(currentUser && campground.author.id.equals(currentUser._id)) {%>
                        <a href="/campgrounds/<%= campground._id %>/edit" class="btn btn-warning">Edit</a>
                        <form class="delete-form" action="/campgrounds/<%= campground._id %>?_method=DELETE" method="POST">
                            <button class="btn btn-danger">Delete</button>
                        </form>
                    <% } %>
                </div>
            </div>
            <div class="well">
                <div class="text-right">
                    <a class="btn btn-success" href="/campgrounds/<%= campground._id %>/comments/new">Add New Comment</a>
                </div>
                <hr>
                <% campground.comments.forEach(function(comment){ %>
                    <div class="row">
                        <div class="col-md-12">
                            <strong><%= comment.author.username %></strong>
                            <span class="pull-right"><%= moment(comment.createdAt).fromNow() %></span>
                            <p>
                                <%= comment.text %>
                            </p>
                            <% if(currentUser && comment.author.id.equals(currentUser._id)) { %>
                                <a class="btn btn-xs btn-warning" href="/campgrounds/<%= campground._id %>/comments/<%= comment._id %>/edit">Edit</a>
                                <form class="delete-form" action="/campgrounds/<%= campground._id %>/comments/<%= comment._id %>?_method=DELETE" method="POST">
                                    <input type="submit" value="Delete" class="btn btn-xs btn-danger">
                                </form>
                            <% } %>
                        </div>
                    </div>
                <% }) %>
            </div>
        </div>
    </div>

<% include ../partials/footer %>
